*{
  margin: 0px;
}
body{
    font-family: sans-serif;
}
.navbar{
    background-color: rgb(0, 0, 51);
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: white;
    padding: 0px 15px;
}
.menu{
    display: flex;
    gap: 20px;
}
.menu a{
    text-decoration: none;
    font-size: 18px;
    color: white;
}
.logo img{
    height: 100px;
    width: 100px;
}
.hero{
    display: flex;
    flex-direction: column;
    background-image: url(https://github.com/Mohak-Trivedi/xcruise-assets/blob/master/hero-cruise.png?raw=true);
    height: 70vh;
    justify-content: center;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    align-items: center;
}
.hero div {
    text-align: center;
    color: white;
}
.hero button {
    background-color: #ea551e;
    padding: 10px 20px;
    color: white;
    border:  none;
    border-radius: 5px;
    margin-top: 15px;
}
main{
    margin: 15px;
}
.heading {
    border-left: 5px solid orange;
    padding-left: 10px;
    line-height: 30px;
}
.popular {
    display: flex;
    gap: 10px;
    align-items: center;
    margin-top: 5px;
}
.pills img{
    height: 20px;
    border-radius: 100%;
    width: 20px;
}
.pills{
    display: flex;
    gap: 10px;
}
.pills div {
    display: flex;
    align-items: center;
    gap: 10px;
    box-shadow: rgba(60, 64, 67, 0.3) 0px 1px 2px 0px,rgba(60, 64, 67, 0.15) 0px 1px 3px 1px;
    padding: 5px;
    border-radius: 20px;
}
.pills span {
    font-size: 10px;
}
.banner {
    margin-top: 15px;
    height: 400px;
    position: relative;
}
.banner img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: right;
}
.banner div {
    position: absolute;
    bottom: 15px;
    left: 15px;
    color: white
}
.cards {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    column-gap: 10px;
    row-gap: 10px;
    margin-top: 15px;
}
.card {
    position: relative;
    cursor: pointer;
}
.card img {
    height: 100%;
    width: 100%;
}
.card .card_info {
    position: absolute;
    left: 15px;
    bottom: 15px;
    color: white;
}
.bookmark {
    position: absolute;
    top: 10px;
    right: 10px;
    height: 20px;
    width: 20px;
    background-color: gray;
    padding: 5px;
    border-radius: 100%;
}
.bookmark img {
    height: 100%;
    width: 100%;
}
#contact {
    text-align: center;
    margin-top: 15px;
} 
#contact hr {
    width: 100px;
    margin: auto;
  
    border: 2px solid orange;
    margin-top: 5px;
} 
.contact_info {
    display: flex;
    gap: 10px;
    margin-top: 10px;
}
.contact_info div {
    border: 1px solid gray;
    flex: 1;
    line-height: 30px;
}
footer {
    background-color: rgb(0, 0, 51);
    margin-top: 15px;
    color: white;
}
footer section {
    display: flex;
    justify-content: space-around;
    padding-top: 20px;
    padding-bottom: 20px;
} 
footer .follow {
    margin-top: 10px;
}
footer ul {
    list-style: none;
    padding: 0;
    line-height: 25px;
} 
footer h3 {
    color: orange;
}  
footer .footer_rights {
    border-top: 1px solid gray;
    opacity: 0.5;
    text-align: center;
    padding-top: 5px;
    padding-bottom: 5px;
}
.social-icons img {
    width: 25px;
    height: 25px;
}
 /* For Tablets */
@media (max-width: 768px) {
    .navbar {
        flex-direction: column;
        padding-top: 15px;
        padding-bottom: 15px;
    }

    .logo img {
        width: 70px;
        height: 70px;
    }

    .hero h1 {
        font-size: 18px;
    }

    .heading {
        border-left: none;
        text-align: center;
    }

    .popular {
        justify-content: center;
    }

    .banner {
        height: 200px;
    }

    .cards {
        grid-template-columns: repeat(2, 1fr);
    }

    .card div {
        font-size: 14px;
    }
    .contact_info{
        flex-direction: column;
    }
    footer section{
        flex-direction: column;
        text-align: center;
    }
    footer section div{
        padding-bottom: 20px;
    }
    footer ul{
        padding-top: 15px;
    }
    .social-icons{
        padding-top: 15px;
    }
}
/* For Mobiles */
@media (max-width: 480px) {
    .popular {
        flex-direction: column;
    }

    .pills {
        flex-direction: column;
    }

    .banner {
        height: 200px;
    }

    .banner img {
        object-position: right;
    }

    .banner div {
        font-size: 14px;
    }

    .cards {
        grid-template-columns: repeat(1, 1fr);
    }
}